<?php
include_once '../sys/inc/start.php';
$doc = new document();

$doc -> title = 'Удаление раздела';


if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
header('Refresh: 1; url=./');
$doc->err('Ошибка выбора раздела');
exit;
}
$id_topic=(int)$_GET['id'];
$q=mysql_query("SELECT * FROM `forum_topics` WHERE `id` = '$id_topic' AND `group_edit` <= '$user->group'");
if (!mysql_num_rows($q))
{
header('Refresh: 1; url=./');
$doc->err('Раздел не доступен для удаления');
exit;
}
$topic=mysql_fetch_assoc($q);
if (isset($_POST['delete']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo']){$doc->err('Проверочное число введено неверно');}
else
{
// блокируем таблицы
mysql_query("LOCK TABLES `forum_topics` WRITE READ, `forum_themes` WRITE READ, `forum_messages` WRITE READ, `forum_history` WRITE READ, `forum_vote` WRITE READ, `forum_vote_votes` WRITE READ");
// получаем список всех сообщений из категории для удаления файлов


$q = mysql_query("SELECT `id` FROM `forum_themes` WHERE `id_topic` = '$topic[id]'");
while ($theme = mysql_fetch_assoc($q)) {
	// удаление всех файлов темы
	$dir = new files(FILES.'/.forum/'.$theme['id']);
	$dir -> delete();
	unset($dir);
}



mysql_query("DELETE
FROM `forum_themes` , `forum_messages`, `forum_history`,  `forum_vote`, `forum_vote_votes`
USING `forum_themes`
LEFT JOIN `forum_messages` ON `forum_messages`.`id_theme` = `forum_themes`.`id`
LEFT JOIN `forum_history` ON `forum_history`.`id_message` = `forum_messages`.`id`
LEFT JOIN `forum_vote` ON `forum_vote`.`id_theme` = `forum_themes`.`id`
LEFT JOIN `forum_vote_votes` ON `forum_vote_votes`.`id_theme` = `forum_themes`.`id`
WHERE `forum_themes`.`id_topic` = '$topic[id]'");
mysql_query("DELETE FROM `forum_topics` WHERE `id` = '$topic[id]' LIMIT 1");
// оптимизация таблиц после удаления данных
mysql_query("OPTIMIZE TABLE `forum_topics`, `forum_themes`, `forum_messages`, `forum_history`, `forum_vote`, `forum_vote_votes`");
// разблокируем таблицы
mysql_query("UNLOCK TABLES");
header('Refresh: 1; url=category.php?id='.$topic['id_category']);
$doc->msg('Рездел успешно удален');
exit;
}
}
$doc -> title ='Удаление раздела "'.$topic['name'].'"';

$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action',"?id=$topic[id]&amp;".passgen().(isset($_GET['return'])?'&amp;return='.urlencode($_GET['return']):null));
$elements=array();
$elements[]=array('type'=>'captcha','br'=>1);
$elements[]=array('type'=>'text','value'=>'* Все данные, относящиеся к данному разделу будут безвозвратно удалены.','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'delete', 'value'=>'Удалить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
$doc->act('Параметры раздела','topic.edit.php?id='.$topic['id']);
$doc->ret('В раздел','topic.php?id='.$topic['id']);
$doc->ret('Форум','./');
?>